%define debug 0
%define final 0

%define kdelibs_epoch 6
%define kdebase_epoch 6
%define qt_version 1:3.3.8
%define arts_version 8:1.5.8
%define make_cvs 0
%define pilot_version 0.12.2

%define appdir %{_datadir}/applications/kde

Version: 3.5.8
Release: 1%{?dist}.2
Name: kdepim
Summary: PIM (Personal Information Manager) for KDE
Epoch: 6
Group: Applications/Productivity
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.kde.org

Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Source1: cr48-app-kandy.png
Source2: cr32-app-kandy.png
Source3: cr16-app-kandy.png
Source4: pilot-link-%{pilot_version}.tar.bz2

Patch2: kdepim-3.4.0-s390.patch
Patch3: kdepim-3.4.0-kandy-icons.patch
Patch4: kdepim-3.4.92-libz.patch
Patch5: kdepim-3.5.8-pilot-link-0.12.patch

# pilot link
Patch100: pilot-link-0.12.1-var.patch
Patch101: pilot-link-0.12.2-m4.patch
Patch102: pilot-link-0.12.2-fpic.patch

Requires: kdebase >= %{kdebase_epoch}:%{version}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires: perl
BuildRequires: bison
BuildRequires: flex
BuildRequires: desktop-file-utils
BuildRequires: kdebase-devel >= %{kdebase_epoch}:%{version}
BuildRequires: zlib-devel
BuildRequires: libart_lgpl-devel
BuildRequires: audiofile-devel
BuildRequires: cyrus-sasl-devel
BuildRequires: lockdev-devel
BuildRequires: python-devel
BuildRequires: libXpm-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: arts-devel >= %{arts_version}
%ifnarch s390 s390x
BuildRequires: bluez-libs-devel
BuildRequires: libusb-devel
%endif
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

%description
A PIM (Personal Information Manager) for KDE.

%package devel
Summary: Development files for kdepim
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdelibs-devel >= %{kdelibs_epoch}:%{version}

%description devel
Development files for %{name}.
Install %{name}-devel if you want to write or compile %{name} plugins.

%prep
%setup -q

%ifarch s390 s390x
%patch2 -p1 -b .s390
rm -rf kpilot
%endif

%patch3 -p1 -b .kandy-icons
%patch4 -p1 -b .libz
%patch5 -p1 -b .pilot-link

%build
%ifnarch s390 s390x
# pilot-link
tar jxf %{SOURCE4}
pushd pilot-link-%{pilot_version}
patch -p1 < %{PATCH100}
patch -p1 < %{PATCH101}
patch -p1 < %{PATCH102}
autoreconf -is
%configure \
  --with-python=no \
  --with-itcl=no \
  --with-tk=no \
  --with-tcl=no \
  --with-java=no \
  --with-cpp=yes \
  --with-perl=no \
  --enable-conduits \
  --enable-libusb \
  --enable-static \
  --disable-shared
make %{?_smp_mflags}
make install DESTDIR=`pwd`/pilot-build install
popd
%endif

unset QTDIR || : ; . /etc/profile.d/qt.sh

cp -f %{SOURCE1} %{SOURCE2} %{SOURCE3} kandy/src

%ifarch s390 s390x
  make -f admin/Makefile.common cvs
%endif

%configure \
   --enable-new-ldflags \
   --disable-dependency-tracking \
   --disable-rpath \
   --disable-gcc-hidden-visibility \
%ifnarch s390 s390x
   --with-pilot-link=`pwd`/pilot-link-%{pilot_version}/pilot-build/usr \
   --with-extra-includes=`pwd`/pilot-link-%{pilot_version}/pilot-build/usr/include \
   --with-extra-libs=`pwd`/pilot-link-%{pilot_version}/pilot-build/usr/lib \
%endif
%if %{debug} == 0
   --disable-debug \
   --disable-warnings \
%endif
%if %{final}
   --enable-final \
%endif
   --includedir=%{_includedir}/kde \
   --with-gpg=%{_bindir}/gpg \
   --with-gpgsm=%{_bindir}/gpgsm \
   --with-sasl

make %{?_smp_mflags}

%install
rm -rf %{buildroot} 

make DESTDIR=%{buildroot} install

# Make symlinks relative
mkdir -p %{buildroot}%{prefix}/share/doc/HTML/en/common
pushd %{buildroot}%{prefix}/share/doc/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && (cd $i && ln -nfs ../common . && cd ..)
done
popd

for i in konsolekalendar knotes kpilotdaemon kpilot KMail KNode Kontact \
   KOrn akregator kalarm groupwarewizard kpalmdoc ktnef multisynk ; do
   if [ -f %{buildroot}%{appdir}/$i.desktop ] ; then
      echo "OnlyShowIn=KDE;" >> %{buildroot}%{appdir}/$i.desktop
   fi
done

%post
/sbin/ldconfig
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
/sbin/ldconfig
for f in crystalsvg hicolor locolor ; do
  touch --no-create %{_datadir}/icons/$f 2> /dev/null ||:
  gtk-update-icon-cache -q %{_datadir}/icons/$f 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/lib*.so.*
%{_libdir}/libakregatorprivate.so
%{_libdir}/libkmailprivate.so
%{_libdir}/libknodecommon.so
%{_libdir}/lib*.la
%{_libdir}/kde3/*
%{_libdir}/kconf_update_bin/*
%{_datadir}/applications/kde/*
%{_datadir}/applnk/.hidden/*
%{_datadir}/applnk/Applications
%{_datadir}/applnk/Utilities
%{_datadir}/apps/*
%{_datadir}/autostart/*
%config(noreplace) %{_datadir}/config/*
%{_datadir}/config.kcfg/*
%doc %{_docdir}/HTML/en/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/application/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*
%{_libdir}/lib*.so
%exclude %{_libdir}/libakregatorprivate.so
%exclude %{_libdir}/libkmailprivate.so
%exclude %{_libdir}/libknodecommon.so

%changelog
* Tue Nov 27 2007 Than Ngo <than@redhat.com> - 6:3.5.8-1.fc6
- 3.5.8

* Sat Jun 16 2007 Than Ngo <than@redhat.com> 3.5.7-1.fc6.2
- rebuild

* Sat Jun 16 2007 Than Ngo <than@redhat.com> 3.5.7-1.fc6.1
- add BR on libusb-devel

* Fri Jun 15 2007 Than Ngo <than@redhat.com> - 6:3.5.7-1.fc6
- 3.5.7 

* Thu Feb 08 2007 Than Ngo <than@redhat.com> - 6:3.5.6-0.2.fc6
- apply upstream patch to fix a debugging leftover which logs
  passwords clear text.

* Tue Jan 30 2007 Than Ngo <than@redhat.com> - 6:3.5.6-0.1.fc6
- 3.5.6

* Fri Nov 10 2006 Than Ngo <than@redhat.com> 6:3.5.5-0.2.fc6
- apply upstream patch to fix bz#215081 (kde#135513)

* Thu Oct 26 2006 Than Ngo <than@redhat.com> 6:3.5.5-0.1
- 3.5.5

* Thu Sep 14 2006 Than Ngo <than@redhat.com> 6:3.5.4-5
- apply upstream patches
   fix 98545, kmail does not remember pop3 passwords
   add default values for font sizes
   fix #133792, do not double-count days during weekly-summarized report
   remove a duplicated holiday
   fix #134200, always initialize mLineHeight and mFirstColumnWidth
   fix #126975, Refuse to LOGIN when hasCapability("LOGINDISABLED")
   fix #134702, Kontact crashes when moving mail between imap folders
   fix #126060, Kmail crash when IMAP mailbox modified externally

* Tue Sep 12 2006 Than Ngo <than@redhat.com> 6:3.5.4-4
- apply upstream patches
   fix #133846, fix for the tooltip crash

* Mon Sep 04 2006 Than Ngo <than@redhat.com> 6:3.5.4-3
- apply upstream patches
   fix kde#116607, crash in slotCheckQueuedFolders() on application exit

* Tue Aug 15 2006 Than Ngo <than@redhat.com> 6:3.5.4-2
- apply patch to fix crash when right clicking in an encapsulated email message, kde#131067

* Thu Aug 10 2006 Than Ngo <than@redhat.com> 6:3.5.4-1
- apply upstream patches,
   - Kmail crashes on startup, kde#132008
   - Cannot send to addresses containing an ampersand (&), kde#117882

* Mon Jul 24 2006 Than Ngo <than@redhat.com> 6:3.5.4-0.pre1
- prerelease of 3.5.4 (from the first-cut tag)

* Thu Jul 20 2006 Than Ngo <than@redhat.com> 6:3.5.3-8
- apply upstream pacthes,
  fix crash on logout when only a message pane is shown kde#192416

* Mon Jul 17 2006 Petr Rockai <prockai@redhat.com> 6:3.5.3-7
- fix compilation with new g++ (see patch kdepim-3.5.3-gcc-4.1.1-8)

* Mon Jul 17 2006 Than Ngo <than@redhat.com> 6:3.5.3-6
- rebuilt

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 6:3.5.3-5.1
- rebuild

* Sat Jul 08 2006 Than Ngo <than@redhat.com> 6:3.5.3-5
- fix #136533, crypto/certificate manager support

* Thu Jul 06 2006 Than Ngo <than@redhat.com> 6:3.5.3-4
- apply upstream patches,
   fix bugs: 110487, 118112, 119112, 121384, 127210, 130303

* Tue Jun 27 2006 Than Ngo <than@redhat.com> 6:3.5.3-3
- fix #196741, BR: libXpm-devel libXScrnSaver-devel
- apply upstream patches

* Mon Jun 19 2006 Than Ngo <than@redhat.com> 6:3.5.3-2
- BR: cyrus-sasl-devel, #195500 

* Fri Jun 02 2006 Than Ngo <than@redhat.com> 6:3.5.3-1
- update to 3.5.3

* Wed May 03 2006 Than Ngo <than@redhat.com> 6:3.5.2-2
- fix #190491, korganizer crashes whenever New Event selected
- fix crash from proko2
- possibly fix crash while selecting mail in mail header view
- fix #122571, kmail doesn't remember "fallback character encoding" setting
- fix #126571, kmail crashes when pressing "Send again..." in drafts folder
- fix syntax error in /usr/bin/kmail_clamav.sh

* Wed Mar 29 2006 Than Ngo <than@redhat.com> 6:3.5.2-1
- update to 3.5.2

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 6:3.5.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 6:3.5.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Feb 02 2006 Than Ngo <than@redhat.com> 6:3.5.1-1
- update to 3.5.1
- get rid of kdepim-3.5.0-kmail-113730.patch, which included in new upstream 

* Mon Dec 12 2005 Than Ngo <than@redhat.com> 6:3.5.0-1
- apply patch to fix crash when applying pipe through filters

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 29 2005 Than Ngo <than@redhat.com> 6:3.5.0-0.1.rc2
- 3.5 rc2

* Tue Nov 15 2005 Than Ngo <than@redhat.com> 6:3.4.92-3
- apply patch to fix gcc4 build problem

* Wed Oct 26 2005 Than Ngo <than@redhat.com> 6:3.4.92-2
- apply patch to fix undefined symbol in indexlib

* Mon Oct 24 2005 Than Ngo <than@redhat.com> 6:3.4.92-1
- update to 3.5 beta 2

* Thu Sep 29 2005 Than Ngo <than@redhat.com> 6:3.4.91-1
- update to KDE 3.5 beta1

* Wed Sep 21 2005 Than Ngo <than@redhat.com> 6:3.4.2-4
- fix uic build problem

* Tue Aug 30 2005 Than Ngo <than@redhat.com> 6:3.4.2-3
- rebuilt

* Mon Aug 15 2005 Than Ngo <than@redhat.com> 6:3.4.2-2
- apply patch to fix kpilot crash

* Tue Aug 02 2005 Than Ngo <than@redhat.com> 6:3.4.2-1
- update 3.4.2
- apply patch to fix kmail bug, kde#109003

* Mon Jul 04 2005 Than Ngo <than@redhat.com> 6:3.4.1-2
- fix uninitialized variable warning #162311, #162312

* Mon Jun 27 2005 Than Ngo <than@redhat.com> 6:3.4.1-1
- add kdepim-kpilot-fix.diff
- update to 3.4.1
- remove kdepim-3.4.0-long.patch, it's included in new upstream

* Wed Mar 23 2005 Than Ngo <than@redhat.com> 6:3.4.0-4
- add lockdev support patch in kandy from Peter Rockai #84143
- add missing kandy icons #141165

* Mon Mar 21 2005 Than Ngo <than@redhat.com> 6:3.4.0-3
- cleanup build dependencies #151673 

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 6:3.4.0-2
- fix broken dependencies on kdepim-devel #151508

* Thu Mar 17 2005 Than Ngo <than@redhat.com> 6:3.4.0-1
- 3.4.0 release

* Sun Mar 13 2005 Than Ngo <than@redhat.com> 6:3.4.0-0.rc1.4
- rebuilt against pilot-link-0.12

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 6:3.4.0-0.rc1.3
- rebuilt against gcc-4.0.0-0.31

* Tue Mar 01 2005 Than Ngo <than@redhat.com> 6:3.4.0-0.rc1.2
- fix casting issue

* Mon Feb 28 2005 Than Ngo <than@redhat.com> 6:3.4.0-0.rc1.1
- KDE 3.4.0 rc1

* Wed Feb 16 2005 Than Ngo <than@redhat.com> 6:3.3.92-0.1
- KDE-3.4 Beta2

* Mon Feb 14 2005 Than Ngo <than@redhat.com> 6:3.3.2-0.3
- apply Steve patch to fix buffer problem

* Sat Dec 04 2004 Than Ngo <than@redhat.com> 3.3.2-0.2
- add CVS patch to fix kmail crash when deleting mails in a folder, #141457

* Fri Dec 03 2004 Than Ngo <than@redhat.com> 3.3.2-0.1
- update to 3.3.2
- get rid of the kdepim-3.3.1-cvs.patch, kdepim-3.3.0-holiday.patch,
  both are included in 3.3.2

* Tue Nov 16 2004 Than Ngo <than@redhat.com> 6:3.3.1-3
- add several fixes from CVS

* Sat Oct 16 2004 Than Ngo <than@redhat.com> 6:3.3.1-2
- rebuilt for rhel

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 6:3.3.1-1
- update to KDE 3.3.1

* Mon Oct 04 2004 Than Ngo <than@redhat.com> 6:3.3.0-2
- fix korganizer crash on startup #134458

* Fri Aug 20 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0 release

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc1
- update to 3.3.0 rc1

* Wed Aug 04 2004 Than Ngo <than@redhat.com> 6:3.2.92-1 
- update to KDE 3.3 Beta 2

* Sat Jul 03 2004 Than Ngo <than@redhat.com> 6:3.2.91-1
- update to KDE 3.3 Beta 1

* Sun Jun 20 2004 Than Ngo <than@redhat.com> 6:3.2.3-1
- update to 3.2.3

* Thu May 06 2004 Than Ngo <than@redhat.com> 6:3.2.2-2
- cleanup KDE/GNOME menu

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 6:3.2.2-1
- update to 3.2.2

* Mon Mar 22 2004 Than Ngo <than@redhat.com> 6:3.2.1-4
- fix conflict problem by update, #118709

* Fri Mar 19 2004 Karsten Hopp <karsten@redhat.de> 3.2.1-3 
- add Obsoletes: kmail

* Sun Mar 14 2004 Karsten Hopp <karsten@redhat.de> 3.2.1-2 
- add Provide: kmail

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 6:3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Mar 01 2004 Than Ngo <than@redhat.com> 3.2.0-1.5
- add Buildrequires on libart_lgpl-devel #115183  

* Tue Feb 24 2004 Than Ngo <than@redhat.com> 6:3.2.0-1.4
- some critical bugs in kmail, #116080

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 6:3.2.0-0.3
- 3.2.0 release
- built with qt 3.3.0
- add patch file from Stable branch, fix some critical bugs in kmail

* Wed Jan 21 2004 Than Ngo <than@redhat.com> 6:3.1.95-0.1
- KDE 3.2 RC1

* Thu Dec 11 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.2
- fixed file list

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 6:3.1.94-0.1
- KDE 3.2 Beta2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.2
- get rid of rpath

* Thu Nov 13 2003 Than Ngo <than@redhat.com> 6:3.1.93-0.1
- KDE 3.2 Beta1
- cleanup

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 6:3.1.4-1
- 3.1.4

* Wed Aug 13 2003 Than Ngo <than@redhat.com> 6:3.1.3-3
- fix build problem with gcc 3.3

* Mon Aug 11 2003 Than Ngo <than@redhat.com> 6:3.1.3-2
- rebuilt

* Sat Aug 09 2003 Than Ngo <than@redhat.com> 6:3.1.3-1
- 3.1.3

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 3.1.2-5
- rebuilt

* Sun Jun  8 2003 Tim Powers <timp@redhat.com> 6:3.1.2-4.1
- added epoch to versioned requires where needed
- built for RHEL

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 20 2003 Than Ngo <than@redhat.com> 3.1.2-3
- dependencies issue

* Wed May 14 2003 Than Ngo <than@redhat.com> 3.1.2-1
- 3.1.2

* Wed Apr 23 2003 Than Ngo <than@redhat.com> 3.1.1-2
- enable libtool

* Thu Mar 20 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-4
- get rid of gcc path from dependency_libs

* Tue Feb 11 2003 Than Ngo <than@redhat.com> 3.1-3
- add missing build dependency, #84027

* Sat Feb  1 2003 Than Ngo <than@redhat.com> 3.1-2
- fix segfault #83194

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release
- cleanup specfile

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 6:3.1-0.3
- rebuild

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.2
- rc6
- removed size_t check
- exclude ia64

* Fri Nov 29 2002 Than Ngo <than@redhat.com> 3.1-0.1
- get rid of sub packages

* Mon Nov 25 2002 Than Ngo <than@redhat.com> 3.1-0.0
- update to 3.1 rc4
- remove a patch file, which is now in new upstream

* Sat Nov  9 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Wed Nov  6 2002 Than Ngo <than@redhat.com> 3.0.4-2
- fix some build problems

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Sun Oct  6 2002 Than Ngo <than@redhat.com> 3.0.3-4
- Fixed holiday plugin (bug #64750, #63438)
- Added more buildrequires/equires (bug #56282,#73996)

* Mon Sep  2 2002 Than Ngo <than@redhat.com> 3.0.3-3
- Added missing icons

* Thu Aug 22 2002 Than Ngo <than@redhat.com> 3.0.3-2
- rebuild against new pilot-link

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- Fixed a bug in clock applet 

* Tue Aug  6 2002 Than Ngo <than@redhat.com> 3.0.2-4
- build against pilot-link-0.11.2
- desktop files issue

* Tue Jul 23 2002 Than Ngo <than@redhat.com> 3.0.2-3
- Added fix to build against qt 3.0.5
- build using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue
- rebuild against new pilot-link

* Tue Jun 25 2002 Than Ngo <than@redhat.com> 3.0.1-1
- 3.0.1
- fixed bug #67303

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Rename libraries

* Wed Apr 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Fix #61901

* Fri Mar 29 2002 Than Ngo <than@redhat.com> 3.0.0-1
- final

* Tue Jan 22 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020122.1
- Update
- Fix build on ia64

* Thu Jul 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010726.1
- Update, fixes korganizer (#50006)

* Sun May 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to get rid of abbrowser (moved to kdebase)

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- add missing ldconfig in %post anf %postun again
- clean up specfile

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin
- fix dangling symlink
- remove excludearch ia64, some hacks to build on ia64

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Tue Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS
- Enable building kpilot
- Obsolete kpilot
- Don't exclude ia64, use -O0 on ia64
- Disable building kpilot on ia64 (compiler breakage)

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Sun Oct  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS
- fix installation of fonts

* Sat Sep 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS snapshot
- fix up spec file

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- get rid of the 3d-screensavers package - now that qt-GL is part of qt,
  there's no need to keep them separate to avoid the dependency.

* Mon Aug 21 2000 Than Ngo <than@redhat.com>
- fix gnome-session so that KDE2 can be started from gdm
- pam/kde2 instead pam/kde to avoid problem with KDE1
- don't requires qt-GL, It's now in qt

* Sun Aug 20 2000 Than Ngo <than@redhat.com>
- fix dependency problem with KDE1 so that KDE1 and KDE2 can be installed
  at the same time
- add missing ldconfig in %post anf %postun
- fix for reading config files in /etc/X11/xdm, add Xsession to requires

* Tue Aug  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix keytable in konsole (Bug #15682)

* Sun Aug  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild, now that kdelibs2 works on alpha
- use the same ugly hack to get kdebase to compile
- remove ksysguard on alpha (even more compiler problems)

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot (fixed libGL detection in CVS)

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move to /usr/lib/kde2
- new snapshot

* Sun Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix the --xdmdir arg to be correct (oops)

* Fri Jul 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- move kdm config files from /usr/config to /etc/X11 by forcing xdmdir

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- some fixes to spec file

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt against glibc-2.1.92-14, gcc-2.96-40

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use new snapshot
- disable Motif

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Epoch 3
- Update to current
- Use egcs++

* Fri Jun 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update (I put the fixes directly to CVS rather than collecting them
  in the spec)

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove man2html; we get that from man
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now
- remove gnome .desktop file, we get it from gnome-core now.

* Wed Apr  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove dependency on xpm (now in XFree86)

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sat Dec 25 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Build the OpenGL screensavers, and move them to a separate package
- Improve the spec file (BuildPrereqs etc.)

* Thu Dec 16 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- remove patch #3 (obsoleted by kwin)

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 CVS snapshot
- fix compilation

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- clean up files in /tmp from startkde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- start autorun if present in startkde
- check for configured soundcard before running sound services

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- made kdelnks display Name property if they are of type Link

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- moved png handling here (from kdelibs)
- changed low color icon directory name to locolor

* Tue Sep 14 1999 Preston Brown <pbrown@redhat.com>
- added optional session management to logout dialog
- include GNOME menus

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added link to /etc/X11/applnk, .directory file
- included lowcolor icon sub-package
- enable .desktop file access

* Fri Sep 10 1999 Preston Brown <pbrown@redhat.com>
- customized startkde script to set up user environment if not present.
- mention kthememgr in description.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.1.2 release
- kvt is back
- kde icon included
- linux console fonts included

* Thu Jul 15 1999 Preston Brown <pbrown@redhat.com>
- PAM console logout problem solved.

* Mon Jul 12 1999 Preston Brown <pbrown@redhat.com>
- now includes screensaver password security fix

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes
- kvt removed for security reasons.  It is a steaming pile of...

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com> 
- last snapshot before release

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- today's snapshot makes kfm a bit nicer and some other fixes
- moved default rc files to kdesupport

* Thu Apr 15 1999 Preston Brown <pbrown@redhat.com>
- SUID bit removed from konsole_grantpty -- not needed w/glibc 2.1

* Wed Apr 14 1999 Preston Brown <pbrown@redhat.com>
- built with today's snapshot -- had to rebuild to fix pam problems.

* Tue Apr 13 1999 Preston Brown <pbrown@redhat.com>
- new snapshot fixes mimetype video/x-flic problem

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Fri Apr 09 1999 Preston Brown <pbrown@redhat.com>
- removed bell.xpm (used to be in fvwm2-icons, don't want installer to see
- this previous connection and autoselect kdebase for upgrade).

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- moved gdm patch

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added gdm session control file

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- added pam-console stuff to kde pam file

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 07 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Tue Jan 19 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed red hat logo.

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-merged from Duncan Haldane's stuff
